【漏洞通告】Apache Dubbo 远程代码执行漏洞CVE-2021-25641二次通告

  • A+
所属分类:安全漏洞

漏洞名称 Apache Dubbo 远程代码执行漏洞

组件名称 : Apache Dubbo

影响范围 

Apache Dubbo 2.7.0 - 2.7.8

Apache Dubbo 2.6.0 - 2.6.9

Apache Dubbo 2.5.x

漏洞类型 : 远程代码执行

利用条件 :

1、用户认证:不需要用户认证

2、触发方式:远程

综合评价 :

<综合评定利用难度>:容易,无需授权即可远程代码执行。

<综合评定威胁等级>:高危,能造成远程代码执行。


漏洞分析


组件介绍

    Apache Dubbo是一款高性能、轻量级的开源Java RPC框架。核心功能有面向接口的远程过程调用、集群容错和负载均衡、服务自动注册与发现。其特点主要在以下几个方面:使用分层的架构模式,使得各个层次之间实现最大限度的解耦。将服务抽象为服务提供者与服务消费者两个角色。


2 漏洞描述

    近日,深信服安全团队监测到一则Apache Dubbo组件存在远程代码执行漏洞的信息,漏洞编号:CVE-2021-25641,漏洞威胁等级:高危。

    该漏洞是由于协议绕过,攻击者可利用该漏洞在未授权的情况下,构造恶意数据执行远程代码执行攻击,最终获取服务器最高权限。


影响范围


    Apache Dubbo 作为一款高性能、轻量级的开源 Java 服务框架,当前可能受漏洞影响的资产广泛分布于世界各地,国内主要集中在广东、江苏、河北等省份地区。

目前受影响的Apache Dubbo版本:

Apache Dubbo 2.7.0 - 2.7.8

Apache Dubbo 2.6.0 - 2.6.9

Apache Dubbo 2.5.x


解决方案


1 官方解决方案

    当前Apache Dubbo官方已发布最新版本,建议受影响的用户及时更新升级到最新版本。链接如下:

https://github.com/apache/dubbo/releases


2 临时修复建议

深信服下一代防火墙可防御此漏洞, 建议用户将深信服下一代防火墙开启 IPS防护策略,并更新最新安全防护规则,即可轻松抵御此高危风险。

深信服安全感知平台结合云端实时热点高危/紧急漏洞信息,可快速检出业务场景下的该漏洞,并可联动【深信服下一代防火墙等产品】实现对攻击者IP的封堵。

深信服安全云眼在漏洞爆发之初,已完成检测更新,对所有用户网站探测,保障用户安全。不清楚自身业务是否存在漏洞的用户,可注册信服云眼账号,获取30天免费安全体验。

注册地址:http://saas.sangfor.com.cn

深信服云镜在漏洞爆发第一时间即完成检测能力的发布,部署了云镜的用户可以通过升级来快速检测网络中是否受该高危风险影响,避免被攻击者利用。离线使用云镜的用户需要下载离线更新包来获得漏洞检测能力,可以连接云端升级的用户可自动获得漏洞检测能力。


时间轴


2021/5/28  深信服监测到Apache Dubbo官方发布安全公告。

2021/5/31  深信服千里目安全实验室发布漏洞通告。

2021/6/28  深信服千里目安全实验室复现该漏洞、发布解决方案。


点击阅读原文,及时关注并登录深信服智安全平台,可轻松查询漏洞相关解决方案。

【漏洞通告】Apache Dubbo 远程代码执行漏洞CVE-2021-25641二次通告




深信服千里目安全实验室

【漏洞通告】Apache Dubbo 远程代码执行漏洞CVE-2021-25641二次通告

深信服科技旗下安全实验室,致力于网络安全攻防技术的研究和积累,深度洞察未知网络安全威胁,解读前沿安全技术。

● 扫码关注我们



本文始发于微信公众号(深信服千里目安全实验室):【漏洞通告】Apache Dubbo 远程代码执行漏洞CVE-2021-25641二次通告

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: